CC=gcc
UNITY=../../../Resources/C/Unity/

main: test

unity.o:
	gcc -I $(UNITY) -c $(UNITY)unity.c

array.o: array.c
	$(CC) -c array.c

array_tests.o: array_tests.c
	$(CC) -I $(UNITY) -c array_tests.c

test: unity.o array.o array_tests.o
	$(CC) -o array_tests unity.o array.o array_tests.o

clean:
	rm *.o array_tests
